DatabaseStreamConfig (Oracle - Berkeley DB Java API)
Date: 2017-04-13

com.sleepycat.db

## Class DatabaseStreamConfig

- java.lang.Object
- - com.sleepycat.db.DatabaseStreamConfig

- All Implemented Interfaces:
    java.lang.Cloneable

      public class DatabaseStreamConfig
      extends java.lang.Object
      implements java.lang.Cloneable

  Specify the attributes of database stream. An instance created with the default constructor is initialized with the system's default settings.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DatabaseStreamConfig` | `DEFAULT` Default configuration used if null is passed to methods that create a database stream.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatabaseStreamConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getReadOnly()` Return true if the database stream is read only.
    `boolean` | `getSyncPerWrite()` Return if the database stream is configured to sync the external file on each write.
    `void` | `setReadOnly(boolean readOnly)` Configure the database stream as read only.
    `void` | `setSyncPerWrite(boolean syncPerWrite)` Configure the database stream to sync the external file on each write.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final DatabaseStreamConfig DEFAULT

      Default configuration used if null is passed to methods that create a database stream.

  - ### Constructor Detail

    - #### DatabaseStreamConfig

          public DatabaseStreamConfig()

  - ### Method Detail

    - #### setReadOnly

          public void setReadOnly(boolean readOnly)

      Configure the database stream as read only.

      Parameters:
        `readOnly` - If true, configure the database stream to read only.

    - #### getReadOnly

          public boolean getReadOnly()

      Return true if the database stream is read only.

      Returns:
        true if the database stream is configured to read only.

    - #### setSyncPerWrite

          public void setSyncPerWrite(boolean syncPerWrite)

      Configure the database stream to sync the external file on each write.

      Parameters:
        `syncPerWrite` - If true, configure the database stream to sync the external file on each write.

    - #### getSyncPerWrite

          public boolean getSyncPerWrite()

      Return if the database stream is configured to sync the external file on each write.

      Returns:
        true if the database stream is configured to sync the external file on each write, and false otherwise.

Copyright (c) 1996, 2017 Oracle and/or its affiliates. All rights reserved.